ChangeSet 1.879.9.12, 2003/01/07 12:57:25-08:00, greg@kroah.com

[PATCH] USB printer driver: forward port 2.4 fix for misuse of types.

Thanks to Dave Jones for pointing this out.


diff -Nru a/drivers/usb/class/usblp.c b/drivers/usb/class/usblp.c
--- a/drivers/usb/class/usblp.c	Wed Jan  8 11:59:57 2003
+++ b/drivers/usb/class/usblp.c	Wed Jan  8 11:59:57 2003
@@ -610,7 +610,8 @@
 {
 	DECLARE_WAITQUEUE(wait, current);
 	struct usblp *usblp = file->private_data;
-	int timeout, err = 0, writecount = 0;
+	int timeout, err = 0;
+	size_t writecount = 0;
 
 	while (writecount < count) {
 		if (!usblp->wcomplete) {
